# Generated by Django 4.0.3 on 2022-03-15 12:06

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Client',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('phone_number', models.CharField(max_length=15)),
                ('mobile_code', models.CharField(max_length=15)),
                ('tag', models.CharField(max_length=100)),
            ],
        ),
        migrations.CreateModel(
            name='Newsletter',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sending_start_time', models.DateTimeField()),
                ('sending_end_time', models.DateTimeField()),
                ('message_text', models.CharField(max_length=4096)),
                ('task_id', models.IntegerField(null=True)),
                ('filter_params', models.JSONField(blank=True)),
                ('status', models.IntegerField(choices=[(1, 'Inactive'), (2, 'Active'), (3, 'Running'), (4, 'Complete'), (5, 'Incomplete')], default=1)),
            ],
        ),
        migrations.CreateModel(
            name='TimeZone',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('timezone', models.DurationField()),
            ],
        ),
        migrations.CreateModel(
            name='Message',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sending_time', models.DateTimeField()),
                ('status', models.IntegerField(choices=[(1, 'Success'), (2, 'Error')])),
                ('client', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='newsletter.client')),
                ('newsletter', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='newsletter.newsletter')),
            ],
        ),
        migrations.AddField(
            model_name='client',
            name='timezone',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='newsletter.timezone'),
        ),
    ]
